Debian Bug report logs - #733937
ITP: fonts-google-crosextra-caladea -- Caladea is metric-compatible with Cambria

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Thu, 2 Jan 2014 12:39:01 UTC

Owned by: Fabian Greffrath <fabian@greffrath.com>

Severity: wishlist

Fixed in versions fonts-crosextra-caladea/20130214-1, fonts-crosextra-carlito/20130920-1

Done: Fabian Greffrath <fabian+debian@greffrath.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-fonts-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#733937; Package wnpp. (Thu, 02 Jan 2014 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-fonts-devel@lists.alioth.debian.org, wnpp@debian.org. (Thu, 02 Jan 2014 12:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: fonts-google-crosextra-caladea -- Caladea is metric-compatible with Cambria
Date: Thu, 02 Jan 2014 13:36:09 +0100
Package: wnpp
Severity: wishlist
Owner: Fabian Greffrath <fabian@greffrath.com>

* Package name    : fonts-google-crosextra-caladea
  Version         : 20130214
* URL             : http://gsdview.appspot.com/chromeos-
localmirror/distfiles/crosextrafonts-20130214.tar.gz
* License         : Apache
  Description     : Caladea is metric-compatible with Cambria
This is a font that I am going to package under the umbrella of the pkg-fonts
team. It is a drop-in replacement for the
Cambria font shipped with Microsoft Windows 7. It is part of the Google
Crosextra fonts which are meant as a supplement
to the Google Croscore fonts, which are drop-in replacements for Arial, Courier
New and Times New Roman (similar to the
Liberation fonts, but not yet packaged for Debian). It is accompanied by the
Carlito font, which is a drop-in replacement for
Calibri, but is released under a different license (OFL 1.1). I am currently
indifferent if I should file a separate ITP for it.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#733937; Package wnpp. (Fri, 03 Jan 2014 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Ransom <rransom.8774@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Fri, 03 Jan 2014 22:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 733937@bugs.debian.org (full text, mbox):

From: Robert Ransom <rransom.8774@gmail.com>
To: 733937@bugs.debian.org
Subject: Re: ITP: fonts-google-crosextra-caladea -- Caladea is metric-compatible with Cambria
Date: Fri, 3 Jan 2014 14:03:59 -0800
If the upstream source tarball contains both fonts, you'll have to
document both licenses in the copyright file anyway.  Better to submit
one source package named fonts-google-crosextra.

Once they're in the same source package, I doubt that there's any
reason to put the fonts into separate binary packages either.


Robert Ransom



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#733937; Package wnpp. (Mon, 06 Jan 2014 08:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Jan 2014 08:06:15 GMT) Full text and rfc822 format available.

Message #15 received at 733937@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Robert Ransom <rransom.8774@gmail.com>, 733937@bugs.debian.org
Subject: Re: Bug#733937: ITP: fonts-google-crosextra-caladea -- Caladea is metric-compatible with Cambria
Date: Mon, 06 Jan 2014 09:04:31 +0100
Hi Robert,

thanks for your comments!

Am Freitag, den 03.01.2014, 14:03 -0800 schrieb Robert Ransom: 
> If the upstream source tarball contains both fonts, you'll have to
> document both licenses in the copyright file anyway.  Better to submit
> one source package named fonts-google-crosextra.
> 
> Once they're in the same source package, I doubt that there's any
> reason to put the fonts into separate binary packages either.

There are two separate upstream source tarballs for Caladea
(crosextrafonts-20130214) and Carlito (crosextrafonts-carlito-20130920),
probably because both fonts have different licenses: Apache-2.0 for
Caladea and OFL-1.1 for Carlito.

- Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#733937; Package wnpp. (Tue, 07 Jan 2014 03:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Ransom <rransom.8774@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 07 Jan 2014 03:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 733937@bugs.debian.org (full text, mbox):

From: Robert Ransom <rransom.8774@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 733937@bugs.debian.org
Subject: Re: Bug#733937: ITP: fonts-google-crosextra-caladea -- Caladea is metric-compatible with Cambria
Date: Mon, 6 Jan 2014 19:22:53 -0800
On 1/6/14, Fabian Greffrath <fabian@greffrath.com> wrote:

> There are two separate upstream source tarballs for Caladea
> (crosextrafonts-20130214) and Carlito (crosextrafonts-carlito-20130920),
> probably because both fonts have different licenses: Apache-2.0 for
> Caladea and OFL-1.1 for Carlito.

In that case, they should be kept in separate Debian source packages.

Make sure that you find the sources for those fonts.  The tarball that
you linked to in the message that opened bug #733937 contains only the
.ttf files; it is not immediately clear whether those are the
preferred form for modification of the fonts.


Robert Ransom



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#733937; Package wnpp. (Tue, 07 Jan 2014 08:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Jan 2014 08:06:05 GMT) Full text and rfc822 format available.

Message #25 received at 733937@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Robert Ransom <rransom.8774@gmail.com>
Cc: 733937@bugs.debian.org
Subject: Re: Bug#733937: ITP: fonts-google-crosextra-caladea -- Caladea is metric-compatible with Cambria
Date: Tue, 07 Jan 2014 09:03:53 +0100
Am Montag, den 06.01.2014, 19:22 -0800 schrieb Robert Ransom: 
> In that case, they should be kept in separate Debian source packages.

Indeed they are.

> Make sure that you find the sources for those fonts.  The tarball that
> you linked to in the message that opened bug #733937 contains only the
> .ttf files; it is not immediately clear whether those are the
> preferred form for modification of the fonts.

People tend to mistake the .sfd file format as the canonical source
format for fonts. Actually, it is just fontforge's own native file
format. Font foundries that do not use fontforge for font creation are
unlikely to ever get in touch with this format at all.

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#733937; Package wnpp. (Tue, 07 Jan 2014 12:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Jan 2014 12:51:14 GMT) Full text and rfc822 format available.

Message #30 received at 733937@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: pkg-fonts-devel <pkg-fonts-devel@lists.alioth.debian.org>
Cc: 734354@bugs.debian.org, 733937 <733937@bugs.debian.org>
Subject: RFP: fonts-croscore -- width-compatible fonts for improved on-screen readability
Date: Tue, 07 Jan 2014 13:48:36 +0100
Dear pkg-fonts team,

I consider the fonts-croscore, fonts-crosextra-caladea and
fonts-crosextra-carlito packages ready for upload and thus request
sponsoring for them. The packaging can be found here:

http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-croscore.git

http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-crosextra-caladea.git

http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-crosextra-carlito.git

Thank you very much!

- Fabian




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 11 Jan 2014 19:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#733937; Package wnpp. (Sun, 12 Jan 2014 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 12 Jan 2014 10:48:04 GMT) Full text and rfc822 format available.

Message #37 received at 733937@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: pkg-fonts-devel <pkg-fonts-devel@lists.alioth.debian.org>
Cc: 733937 <733937@bugs.debian.org>, 734354@bugs.debian.org
Subject: Re: [Pkg-fonts-devel] RFP: fonts-croscore -- width-compatible fonts for improved on-screen readability
Date: Sun, 12 Jan 2014 11:44:07 +0100
Am Dienstag, den 07.01.2014, 13:48 +0100 schrieb Fabian Greffrath: 
> I consider the fonts-croscore, fonts-crosextra-caladea and
> fonts-crosextra-carlito packages ready for upload and thus request
> sponsoring for them.

Thanks for uploading!

- Fabian





Reply sent to Fabian Greffrath <fabian+debian@greffrath.com>:
You have taken responsibility. (Sun, 12 Jan 2014 19:03:38 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 19:03:38 GMT) Full text and rfc822 format available.

Message #42 received at 733937-close@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian+debian@greffrath.com>
To: 733937-close@bugs.debian.org
Subject: Bug#733937: fixed in fonts-crosextra-caladea 20130214-1
Date: Sun, 12 Jan 2014 19:00:05 +0000
Source: fonts-crosextra-caladea
Source-Version: 20130214-1

We believe that the bug you reported is fixed in the latest version of
fonts-crosextra-caladea, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733937@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Greffrath <fabian+debian@greffrath.com> (supplier of updated fonts-crosextra-caladea package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Jan 2014 14:10:17 +0100
Source: fonts-crosextra-caladea
Binary: fonts-crosextra-caladea
Architecture: source all
Version: 20130214-1
Distribution: unstable
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Fabian Greffrath <fabian+debian@greffrath.com>
Description: 
 fonts-crosextra-caladea - Sans-serif font metric-compatible with Cambria font
Closes: 733937
Changes: 
 fonts-crosextra-caladea (20130214-1) unstable; urgency=low
 .
   * Initial release (Closes: #733937).
   * Add fontconfig rule to add Caladea as an alias for Cambria,
     taken from the Fedora package.
   * Build binary package with extreme compression.
Checksums-Sha1: 
 fa74b28c143825019ae6ffd935332506433605e5 2134 fonts-crosextra-caladea_20130214-1.dsc
 6f8f87cd21c4cd7e72031852eb90453dba3e2473 112756 fonts-crosextra-caladea_20130214.orig.tar.gz
 c726b357cc80474a5a0ef81309294c545232fa14 2459 fonts-crosextra-caladea_20130214-1.debian.tar.gz
 6cacf9dfbf6d5402a692ff544e2acbb2c78e6ea1 82102 fonts-crosextra-caladea_20130214-1_all.deb
Checksums-Sha256: 
 941791eaa6809025b63f0de4c7f566e153cb136e1f8c884eb184ec3dabb67903 2134 fonts-crosextra-caladea_20130214-1.dsc
 c48d1c2fd613c9c06c959c34da7b8388059e2408d2bb19845dc3ed35f76e4d09 112756 fonts-crosextra-caladea_20130214.orig.tar.gz
 11256e9f5cc13600c1663b908910bae126483c9d7ff165970993efdaab4124e2 2459 fonts-crosextra-caladea_20130214-1.debian.tar.gz
 9a4b53d8d557e436087869c7ae7535d0a16371ca6de538b80bd5aa684185d2b8 82102 fonts-crosextra-caladea_20130214-1_all.deb
Files: 
 52ac8defe924e4faaa52f5dbebeede9e 2134 fonts optional fonts-crosextra-caladea_20130214-1.dsc
 368f114c078f94214a308a74c7e991bc 112756 fonts optional fonts-crosextra-caladea_20130214.orig.tar.gz
 79829473baa07a85db6ccfdb36bbf620 2459 fonts optional fonts-crosextra-caladea_20130214-1.debian.tar.gz
 6b6bbcac66aecb41ccbe7138cdb87472 82102 fonts optional fonts-crosextra-caladea_20130214-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUtFTdYcvcCxNbiWoAQISAw//ZhJ6dWEcxiQpJ3i9PcwidJzpK8keCGrb
5kgiFMz3edz4hyYBcPjY+54fALOB8mNnxO6liRxgnG+LQUzW1IM5essjo16TGfeV
KLwLN9wacUzjfxmw8bDGLJu94jLQWjKREH5599cp7yELquUA94piH2NJp1wCtFmj
+VtE0AkuFB5BxN6NRnypT8g4rf3Jqz/sxmNcgQl8ETW3kMR3bHlo2P2OW3KjmsSY
Duo3odjGajGLdlE22DQcgVQ/5RbchKDUTr8wd343qDwiWBFHkXrBBegh5mlal2Ja
dB1DEdoy4q7ChQKxkolxBoM6QP828K2bAjNyCh5HjqzPwz5RnuxWOE2BiurQmGIh
bPMXeJExFpAn51zN5ew7K6or1azNpZ+XESNt0vmUKTpld0Hgjv8QGwchlFMOTEgv
rGehaGBQBchINCcsFCKHUpwguKdAVjMQBSG8uWUu62ZVU5+2AM7s/6x4yQDkJo62
MY5thJU07Djs8sRgDvLtmFy5fZQEJI9jd4PR70ZP6NLPo/PVYa4iSBnwskM420K4
L4WIjeJi6okM6yn96EHCfnaS59RNmOPB7d2We68my4TBNurZLuouxw++ryXMX0RB
2+RER3B+5S///USc7yvV+CGySpHTk4JzYJjfuAUODv7WpJMFm7gA4M5Q8VrJbiUg
tlmOtHl/XAg=
=jntv
-----END PGP SIGNATURE-----




Reply sent to Fabian Greffrath <fabian+debian@greffrath.com>:
You have taken responsibility. (Sun, 12 Jan 2014 19:03:41 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 19:03:42 GMT) Full text and rfc822 format available.

Message #47 received at 733937-close@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian+debian@greffrath.com>
To: 733937-close@bugs.debian.org
Subject: Bug#733937: fixed in fonts-crosextra-carlito 20130920-1
Date: Sun, 12 Jan 2014 19:00:06 +0000
Source: fonts-crosextra-carlito
Source-Version: 20130920-1

We believe that the bug you reported is fixed in the latest version of
fonts-crosextra-carlito, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733937@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Greffrath <fabian+debian@greffrath.com> (supplier of updated fonts-crosextra-carlito package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Jan 2014 14:09:53 +0100
Source: fonts-crosextra-carlito
Binary: fonts-crosextra-carlito
Architecture: source all
Version: 20130920-1
Distribution: unstable
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Fabian Greffrath <fabian+debian@greffrath.com>
Description: 
 fonts-crosextra-carlito - Sans-serif font metric-compatible with Calibri font
Closes: 733937
Changes: 
 fonts-crosextra-carlito (20130920-1) unstable; urgency=low
 .
   * Initial release (Closes: #733937).
   * Add fontconfig rule to add Carlito as an alias for Calibri,
     taken from the Fedora package.
   * Build binary package with extreme compression.
Checksums-Sha1: 
 cdd643daa367fd202b9595f37765c427a5979cd9 2137 fonts-crosextra-carlito_20130920-1.dsc
 65ceb1377897a4d5a404134423728592aea6eb13 1169488 fonts-crosextra-carlito_20130920.orig.tar.gz
 72aa46c4bee4e4bad52f28263d3a111bc7eff2c7 4426 fonts-crosextra-carlito_20130920-1.debian.tar.gz
 aba696b87ff1de00da10bf628ce56b986ab3615b 744996 fonts-crosextra-carlito_20130920-1_all.deb
Checksums-Sha256: 
 53be1d931294feafcee69fb3b4dd47b62d80d1cc3d42057e007dc4c681ef9e06 2137 fonts-crosextra-carlito_20130920-1.dsc
 4bd12b6cbc321c1cf16da76e2c585c925ce956a08067ae6f6c64eff6ccfdaf5a 1169488 fonts-crosextra-carlito_20130920.orig.tar.gz
 cd2dcd85536b873a7f3e5c034efa55b93ed5e1c2e102951ce067042ac7863b38 4426 fonts-crosextra-carlito_20130920-1.debian.tar.gz
 3622c7c3117474017604254c90b3793f2215cca0e894943503844477b9ccfb53 744996 fonts-crosextra-carlito_20130920-1_all.deb
Files: 
 5d4fbe60e7eb2a3e00085797d15ed99b 2137 fonts optional fonts-crosextra-carlito_20130920-1.dsc
 c74b7223abe75949b4af367942d96c7a 1169488 fonts optional fonts-crosextra-carlito_20130920.orig.tar.gz
 4c531956404b0f48292207c430ac6eb9 4426 fonts optional fonts-crosextra-carlito_20130920-1.debian.tar.gz
 0843a59955f5280f058addf4a897daa7 744996 fonts optional fonts-crosextra-carlito_20130920-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUtFUH4cvcCxNbiWoAQIYpRAAvqMzQtwEJ2GzeOxbKcHNfRAi4SmWdEAp
pSd85Ug4XB8iTjyHhb9yiVlYYCONoB4dzS9+oCWCfyV7P6Uz0Ur66DlF3kr0cD7T
/MJSx+d5L8JSj2JRmAZH3vEjieXfDJeZNPw6q1t2Re7Y1HmEExNFm+cBlIJjft1p
BvPEQCkw5Kx/TIFrC5UsPeFiYyblX4rUGNCEbAv9z5I8RODtIOPZAYJZo8SyrVj4
VhxOXs0aK1biAoGtN5plDDD63DREFYzjzENCOHUt/a/ojsHBKo+q+PUF36Mrp8PU
n8dKzCrVveH0Bk3xkB5vBepW6QwNsUm9FUP8mFDlDn1hQyt6fNZm0uTRdMOrQp7v
Y7pg3H0ly2sSibxeG9tpkZRXIWKcVftRiuTzL3wkFq7OnU07yMiJvNGuJPz+1ENh
35Qzw4mKMcbsBp8JJeRx5V2nOs8DhrsYq566KlVUCxbtrjb6RsNnGV26UOTOoWDt
iqXA9fCSXkzb6hA8JjWsNfYVvD1h2R6XruIt36OlmqMSXeQy9v8PMret/3L1tEkB
821xVwaUuOpNqup+XxJ4D44kHsrKss7hzEWLKKLg1+P6m0X4DXDTYuH6wswULVMm
9IX6TjkJXVq1724SUbOyxEilwXs1SwKibkN1QPt+Om5OWTugET24WoyxjeIqQ7WF
50XFFR2C+yE=
=SUZh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Feb 2014 07:30:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:23:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.